import { ref, computed } from 'vue'
import { defineStore } from 'pinia'

const useyXmlStore = defineStore('Xml', () => {
  const xmlStr = ref('')
  const doubleCount = computed(() => xmlStr)
  function increment() {
    xmlStr
  }

  return { xmlStr, doubleCount, increment }
})
const useyPythonCodeStore = defineStore('code', () => {
  const pythonCode = ref('')
  const doubleCount = computed(() => pythonCode)
  function increment() {
    pythonCode
  }

  return { pythonCode, doubleCount, increment }
})

const useImportFileNameStore = defineStore("fileName", () => {
  const fileName = ref("")
  const doubleCount = computed(() => fileName)
  function increment() {
    fileName
  }
  return { fileName, doubleCount, increment }
})

const useWorkspaceStore = defineStore("workspace", () => {
  const workspace = ref("")
  const doubleCount = computed(() => workspace)
  function increment() {
    workspace
  }
  return { workspace, doubleCount, increment }
})
const useLoadBlocklyStatus = defineStore("status", () => {
  const status = ref(false)
  const doubleCount = computed(() => status)
  function increment() {
    status
  }
  return { status, doubleCount, increment }
})
export default { useyXmlStore, useyPythonCodeStore, useImportFileNameStore, useWorkspaceStore, useLoadBlocklyStatus }
